@charset "UTF-8";

footer {
    display: flex;
    align-items: stretch;
    align-content: stretch;
    justify-items: center;
    justify-content: center;
    width: 100%;
    background: #1b1b1b;
    z-index: 100;
}

/****主要連結區****/
.footer__main {
    width: 100%;
    padding: 100px 100px 0 100px;
    flex: 0 1 100%;
}

/**連結區塊**/
.footer__main__list {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: center;
    justify-content: space-between;
    width: 100%;
}

.footer__main__list__box {
    width: calc(25% - 37.5px);
    margin: 0 0 100px 0;
}

.footer__main__list__box__link {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    font-size: 21px;
    line-height: 1;
    color: #fff;
    font-family: 'NotoSansTC-M';
    letter-spacing: 1px;
    padding: 0 0 20px 0;
    margin: 0 0 25px 0;
    background: linear-gradient(to top, #353539 2px, transparent 2px, transparent 100%);
    overflow: hidden;
}

.footer__main__list__box__link::before {
    content: '';
    position: relative;
    display: block;
    width: 30px;
    height: 30px;
    border: 2px solid #353539;
    border-radius: 50%;
    background: url(../../images/common/icon_arrow_next_white.svg) center no-repeat;
    background-size: auto 40%;
    margin: 0 20px 0 0;
    flex: 0 0 30px;
}

.footer__main__list__box__link::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: calc(30px - 100%);
    width: 100%;
    height: 2px;
    background: #fff;
    transition: transform .4s linear;
}

.footer__main__list__box__link:not(.nolink):hover::after {
    transform: translateX(calc(100% - 30px));
}

.footer__main__list__box__sublink {
    display: block;
    width: 100%;
}

.footer__main__list__box__sublink__item {
    display: flex;
    place-items: flex-start;
    place-content: flex-start;
    width: 100%;
    margin: 0 0 15px 0;
}

.footer__main__list__box__sublink__item:last-child {
    margin: 0;
}

.footer__main__list__box__sublink__item::before {
    content: '';
    position: relative;
    top: 10px;
    display: block;
    width: 8px;
    height: 2px;
    background: #4a4a4f;
    margin: 0 25px 0 0;
    flex: 0 0 8px;
}

.footer__main__list__box__sublink__item__link {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1.2;
    color: #fff;
    font-family: 'NotoSansTC';
    text-align: left;
    transition: opacity .4s ease-in-out;
}

.footer__main__list__box__sublink__item__link:hover {
    opacity: .7;
}

/**資訊區塊**/
.footer__main__info {
    display: block;
    width: 100%;
    margin: 75px auto 0 auto;
}

.footer__main__info__box {
    display: flex;
    align-items: flex-end;
    align-content: flex-end;
    justify-items: center;
    justify-content: space-between;
    width: 100%;
    border-bottom: 2px solid #353539;
    padding: 25px 0;
}

.footer__main__info__box:first-child {
    padding: 0 0 25px 0;
}

.footer__main__info__box:last-child {
    align-items: flex-start;
    align-content: flex-start;
    margin: 0;
    border: none;
}

/**logo**/
.footer__main__info__box__logo {
    display: block;
    width: auto;
    color: #fff;
    line-height: 1;
    padding: 0 0 0 25px;
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    flex: 0 0 auto;
    transition: opacity .4s ease-in-out;
}

.footer__main__info__box__logo:hover {
    opacity: .7;
}

.footer__main__info__box__logo__pic {
    position: absolute;
    top: 10px;
    left: 10px;
    width: auto;
    height: calc(100% - 20px);
    /* filter: brightness(0) invert(1); */
}

.footer__main__info__box__logo__main {
    display: block;
    width: 100%;
    font-size: 25px;
    line-height: inherit;
    /* color: inherit; */
    font-family: 'LogoFont';
    color: #1f5987;
    /* margin: 0 0 15px 0; */
    margin: 0 0 0 25px;
}

.footer__main__info__box__logo__sub {
    position: absolute;
    bottom: 0;
    right: 0;
    display: none;
    width: 280px;
    font-size: 12px;
    line-height: inherit;
    color: inherit;
    font-family: 'Calibri-L';
    transform-origin: bottom right;
    transform: scale(.57);
    letter-spacing: 2px;
    text-align: right;
}

/**sns**/
.footer__main__info__box__sns {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-items: flex-end;
    justify-content: flex-end;
    width: 100%;
    margin: 0 0 -10px 0;
    flex: 0 1 100%;
}

.footer__main__info__box__sns__link {
    display: flex;
    place-items: center;
    place-content: center;
    width: 30px;
    height: 30px;
    margin: 0 0 10px 15px;
    background: #fff;
    border-radius: 50%;
    overflow: hidden;
    transition: opacity .4s ease-in-out;
}

.footer__main__info__box__sns__link:first-child {
    margin: 0 0 10px 0;
}

.footer__main__info__box__sns__link:hover {
    opacity: .7;
}

.footer__main__info__box__sns__link img {
    object-fit: contain;
    object-position: center;
    width: 60%;
    height: 60%;
}

/**copyright & 作者**/
.footer__main__info__box__copyright,
.footer__main__info__box__author {
    display: block;
    font-size: 12px;
    line-height: 1;
    color: #66666c;
    text-transform: uppercase;
    letter-spacing: 1px;
}

/**copyright**/
.footer__main__info__box__copyright {
    width: 100%;
    padding: 0 20px 0 0;
    flex: 0 1 100%;
}

/**作者**/
.footer__main__info__box__author {
    width: auto;
    flex: 0 0 auto;
}

/****工具連結區塊****/
.footer__tool {
    display: flex;
    flex-direction: column;
    width: 500px;
    max-width: 100%;
    height: auto;
    background: #000;
    flex: 0 0 auto;
}

.footer__tool__list {
    display: block;
    width: 100%;
    padding: 100px 120px;
    flex: 0 1 100%;
}

.footer__tool__list__box {
    display: block;
    width: 100%;
    padding: 0 0 20px 0;
    margin: 0 auto 20px auto;
    border-bottom: 2px dotted #353539;
}

.footer__tool__list__box:last-child {
    border: none;
    padding: 0;
    margin: 0;
}

.footer__tool__list__box__item {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1;
    color: #fff;
    background: url(../../images/common/icon_arrow_next_white.svg) calc(100% - 20px) center no-repeat #1b1b1b;
    background-size: 7px 12px;
    border: 2px solid #313131;
    border-radius: 5px;
    padding: 15px 35px 15px 15px;
    margin: 0 auto 10px auto;
    overflow: hidden;
    transition: opacity .4s ease-in-out;
}

.footer__tool__list__box__item:hover {
    opacity: .7;
}

.footer__tool__list__box__item:last-child {
    margin: 0 auto;
}

.footer__tool__list__box__item.green {
    padding: 30px 35px 30px 15px;
    background: url(../../images/common/icon_arrow_next_white.svg) calc(100% - 20px) center no-repeat, linear-gradient(to right, #24cbd3 0%, #0bbac2 100%);
    background-size: 7px 12px, auto;
    border: none;
}

/****回到頂步****/
.footer__tool__back {
    display: flex;
    place-items: center;
    place-content: center;
    width: 100%;
    padding: 40px 0;
    background: #303030;
    font-size: 14px;
    line-height: 1;
    font-family: 'Poppins-EB';
    color: #76767d;
    letter-spacing: 3px;
    flex: 0 0 auto;
}

.footer__tool__back::after {
    content: '';
    position: relative;
    display: block;
    width: 19px;
    height: 10px;
    margin: 0 0 0 30px;
    transform: scaleY(-1);
    background: url(../../images/common/icon_arrow_bottom_gray.svg) center no-repeat;
    background-size: contain;
}

@media screen and (max-width: 1500px) {

    /****主要連結區****/
    .footer__main {
        padding: 100px 50px 0 60px;
    }

    .footer__main__list__box {
        width: calc(25% - 25px);
    }

    /****工具連結區塊****/
    .footer__tool {
        width: 350px;
    }

    .footer__tool__list {
        padding: 100px 60px;
    }

}

@media screen and (max-width: 1200px) {

    /****主要連結區****/
    .footer__main__list__box {
        width: calc(50% - 25px);
    }

    /**資訊區塊**/
    .footer__main__info {
        margin: 0 auto;
    }
}

@media screen and (max-width: 991px) {
    footer {
        flex-wrap: wrap;
    }

    /****主要連結區****/
    .footer__main {
        padding: 80px 30px 65px 30px;
    }

    .footer__main__list {
        display: none;
    }

    /**資訊區塊**/
    .footer__main__info__box {
        flex-wrap: wrap;
    }

    /**logo**/
    .footer__main__info__box__logo {
        margin: 0 auto 20px auto;
    }

    /**sns**/
    .footer__main__info__box__sns {
        justify-items: center;
        justify-content: center;
    }

    .footer__main__info__box__sns__link,
    .footer__main__info__box__sns__link:first-child {
        margin: 0 7.5px 7.5px 7.5px;
    }

    .footer__main__info__box__copyright,
    .footer__main__info__box__author {
        text-align: center;
        line-height: 2;
    }

    /**copyright**/
    .footer__main__info__box__copyright {
        padding: 0;
    }

    /**作者**/
    .footer__main__info__box__author {
        width: 100%;
    }

    /****工具連結區塊****/
    .footer__tool {
        display: block;
        width: 100%;
        margin: 15px auto 0 auto;
    }

    .footer__tool__list {
        display: none;
    }
}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 575px) {

    /****主要連結區****/
    .footer__main {
        padding: 40px 20px 0 20px;
    }

    /****工具連結區塊****/
    /****回到頂步****/
    .footer__tool__back {
        padding: 25px 0;
        font-size: 12px;
        letter-spacing: 2px;
    }

    .footer__tool__back::after {
        margin: 0 0 0 10px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}